package com.pcloud.book.book.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author lily
 * @date 2019/2/13 17:26
 */
public class AdviserBookInfoDTO implements Serializable {
    private Long bookId;

    private Long adviserId;

    private Long channelId;

    private String bookName;

    private String coverImg;

    private String isbn;

    private String serialNumber;

    private Date createdDate;

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    @Override
    public String toString() {
        return "AdviserBookInfoDTO{" +
                "bookId=" + bookId +
                ", adviserId=" + adviserId +
                ", channelId=" + channelId +
                ", bookName='" + bookName + '\'' +
                ", coverImg='" + coverImg + '\'' +
                ", isbn='" + isbn + '\'' +
                ", serialNumber='" + serialNumber + '\'' +
                ", createdDate=" + createdDate +
                '}';
    }
}
